# Uses of Class
org.globus.net.SocketFactory

Packages that use SocketFactory
Package
Description
org.globus.net
Contains socket factories for creating regural and secure server sockets behind firewalls or NAT servers.

## Uses of SocketFactory in org.globus.net

Methods in org.globus.net that return SocketFactory
Modifier and Type
Method
Description
`static SocketFactory`
SocketFactory.`getDefault()`
Returns the default instance of this class.